#include <QCoreApplication>
#include <QTimer>
#include <QtXmlPatterns/QXmlSchema>
#include <QtXmlPatterns/QXmlSchemaValidator>
#include <QUrl>

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    QTimer::singleShot(100,[]{
        QXmlSchema schema;
        schema.load(QUrl("qrc:/schema.xsd"));
        if (!schema.isValid())
            qDebug("Schema is invalid.");
        // Validate instance
        QXmlSchemaValidator validator(schema);
        if (validator.validate(QUrl("qrc:/test.xml")))
            qDebug("Instance is invalid.");
        qApp->quit();
    });
    return a.exec();
}
